openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SWD_WF_DEFINITION_CHECK:
    post:
      tags:
      - SWDE
      operationId: /rfc/SWD_WF_DEFINITION_CHECK
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IM_CLIENT:
                  type: string
                  maxLength: 3
                IM_PROGRESS_SHOW:
                  type: string
                  default: X
                  maxLength: 1
                IM_TASK:
                  type: string
                  maxLength: 14
                IM_WFDKEY:
                  type: object
                  properties:
                    WFD_ID:
                      type: string
                      maxLength: 10
                      description: Number of workflow definition
                    VERSION:
                      type: string
                      maxLength: 4
                      description: Version
                    EXETYP:
                      type: string
                      maxLength: 1
                      description: 'Workflow Type  enumValues: E=Runtime,R=Ad Hoc Runtime,S=Definition,D=Ad Hoc Definition,C=Configuration Definition,A=Configuration Runtime'
                      enum:
                      - E
                      - R
                      - S
                      - D
                      - C
                      - A
                EX_ERROR:
                  type: array
                  items:
                    type: object
                    properties:
                      NODEID:
                        type: integer
                        format: int64
                        description: Node Number
                      NODETYPE:
                        type: string
                        maxLength: 4
                        description: Node type
                      WORKAREA:
                        type: string
                        maxLength: 20
                        description: Application Area
                      MESSAGE:
                        type: integer
                        format: int64
                        description: 'Workflow definition: Message number'
                      TYPE:
                        type: string
                        maxLength: 1
                        description: 'Workflow definition: Message type'
                      ACT_POSSIB:
                        type: string
                        maxLength: 1
                        description: 'Workflow definition: Activation possible  enumValues: ""=No,X=Yes'
                        enum:
                        - ''
                        - X
                      SAV_POSSIB:
                        type: string
                        maxLength: 1
                        description: 'Workflow definition: Save possible  enumValues: ""=No,X=Yes'
                        enum:
                        - ''
                        - X
                      VARIABLE1:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      VARIABLE2:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      VARIABLE3:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      VARIABLE4:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      FIELDNAME:
                        type: string
                        maxLength: 30
                        description: 'Workflow definition: Field name on screen'
                      DYNNR:
                        type: string
                        maxLength: 4
                        description: 'Workflow definition: Screen number'
                      SUBSCREEN:
                        type: string
                        maxLength: 4
                        description: 'Workflow definition: Screen number'
                      STEP_LOOP:
                        type: integer
                        format: int64
                        description: 'Workflow definition: Number of step loop on screen  enumValues: 1='
                        enum:
                        - '1'
                      POS_CURSOR:
                        type: integer
                        format: int32
                        description: Vertical Cursor Position at PAI
                      CREFTEXT:
                        type: string
                        maxLength: 80
                        description: Text (80 Characters)
              required:
              - IM_TASK
              - IM_WFDKEY
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  EX_ERROR:
                    type: array
                    items:
                      type: object
                      properties:
                        NODEID:
                          type: integer
                          format: int64
                          description: Node Number
                        NODETYPE:
                          type: string
                          maxLength: 4
                          description: Node type
                        WORKAREA:
                          type: string
                          maxLength: 20
                          description: Application Area
                        MESSAGE:
                          type: integer
                          format: int64
                          description: 'Workflow definition: Message number'
                        TYPE:
                          type: string
                          maxLength: 1
                          description: 'Workflow definition: Message type'
                        ACT_POSSIB:
                          type: string
                          maxLength: 1
                          description: 'Workflow definition: Activation possible  enumValues: ""=No,X=Yes'
                          enum:
                          - ''
                          - X
                        SAV_POSSIB:
                          type: string
                          maxLength: 1
                          description: 'Workflow definition: Save possible  enumValues: ""=No,X=Yes'
                          enum:
                          - ''
                          - X
                        VARIABLE1:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        VARIABLE2:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        VARIABLE3:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        VARIABLE4:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        FIELDNAME:
                          type: string
                          maxLength: 30
                          description: 'Workflow definition: Field name on screen'
                        DYNNR:
                          type: string
                          maxLength: 4
                          description: 'Workflow definition: Screen number'
                        SUBSCREEN:
                          type: string
                          maxLength: 4
                          description: 'Workflow definition: Screen number'
                        STEP_LOOP:
                          type: integer
                          format: int64
                          description: 'Workflow definition: Number of step loop on screen  enumValues: 1='
                          enum:
                          - '1'
                        POS_CURSOR:
                          type: integer
                          format: int32
                          description: Vertical Cursor Position at PAI
                        CREFTEXT:
                          type: string
                          maxLength: 80
                          description: Text (80 Characters)
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
